unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ComCtrls, VclTee.TeeGDIPlus,
  VCLTee.TeEngine, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart,
  VCLTee.TeeAnimations, VCLTee.TeeComma, VCLTee.TeeEdit;

type
  TForm2 = class(TForm)
    TabControl1: TTabControl;
    Chart1: TChart;
    ChartEditor1: TChartEditor;
    Timer1: TTimer;
    procedure TabControl1Change(Sender: TObject);
    procedure IniChart;
    procedure FormCreate(Sender: TObject);
    procedure Chart1DblClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}
uses TeeThemes, Series, VCLTee.TeeDonut;
var tmp : TChartThemeClass;
Series1: THorizBarSeries;
Series2 :TDonutSeries;
AnimateDonutSeries:Boolean;
procedure TForm2.Chart1DblClick(Sender: TObject);
begin
ChartEditor1.Execute;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
IniChart;
end;

procedure TForm2.IniChart;
begin

with TLookoutTheme.Create(Chart1) do
  try
    Apply;
  finally
    Free;
  end;
  Chart1.Walls.Visible :=False;
  Series1 := THorizBarSeries.Create(Self);
  Series2 := TDonutSeries.Create(Self);
  Chart1.AddSeries(Series1);
  Chart1.AddSeries(Series2);
  Chart1.Legend.Visible := false;
  Series1.FillSampleValues(10);
  Series1.BarStyle := bsRoundRectangle;
  Series1.Color := RGB(1,223,1);

  Series1.Marks.Visible:=false;
  with Chart1.Tools.Add(TSeriesAnimationTool) as TSeriesAnimationTool do
 begin
      Series:=Chart1[0];
      Play;
 end;

end;

procedure TForm2.TabControl1Change(Sender: TObject);
begin
    if TabControl1.TabIndex = 0 then
    begin
         Series1.Clear;
         Series2.Clear;
         Series1.FillSampleValues(10);
         Series1.BarStyle := bsRoundRectangle;
         Series1.Color := RGB(1,223,1);
         Series1.Marks.Visible:=false;
         Series1.MarksOnBar :=true;
          with Chart1.Tools.Add(TSeriesAnimationTool) as TSeriesAnimationTool do
          begin
            Series:=Chart1[0];
            Play;
          end;

    end
    else if TabControl1.TabIndex = 1 then
    begin
         Series1.Clear;
         Series2.Clear;
         Series2.FillSampleValues(5);
         Series2.Circled := true;
         Series2.Marks.Transparent := true;
         Series2.AngleSize :=0;
        Timer1.Enabled := True;

    end;


end;

procedure TForm2.Timer1Timer(Sender: TObject);
begin
  if (Series2.AngleSize <= 360) then
    Series2.AngleSize:=Series2.AngleSize+2
  else
  Begin
    Timer1.enabled:=False;
  end;
end;

end.
